Package org.pushingpixels.lafwidget.tabbed

# Class TabHoverPreviewWidget.MouseRolloverHandler

java.lang.Object
org.pushingpixels.lafwidget.tabbed.TabHoverPreviewWidget.MouseRolloverHandler

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `EventListener`

Enclosing class:
  `TabHoverPreviewWidget`

protected class TabHoverPreviewWidget.MouseRolloverHandler extends Object implements MouseListener, MouseMotionListener
Mouse listener for rollover effects.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MouseRolloverHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseClicked(MouseEvent e)`
`void`
`mouseDragged(MouseEvent e)`
`void`
`mouseEntered(MouseEvent e)`
`void`
`mouseExited(MouseEvent e)`
`void`
`mouseMoved(MouseEvent e)`
`void`
`mousePressed(MouseEvent e)`
`void`
`mouseReleased(MouseEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MouseRolloverHandler

protected MouseRolloverHandler()

## Method Details

### mouseClicked

public void mouseClicked(MouseEvent e)

Specified by:
  `mouseClicked` in interface `MouseListener`

### mouseDragged

public void mouseDragged(MouseEvent e)

Specified by:
  `mouseDragged` in interface `MouseMotionListener`

### mouseEntered

public void mouseEntered(MouseEvent e)

Specified by:
  `mouseEntered` in interface `MouseListener`

### mousePressed

public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`

### mouseReleased

public void mouseReleased(MouseEvent e)

Specified by:
  `mouseReleased` in interface `MouseListener`

### mouseMoved

public void mouseMoved(MouseEvent e)

Specified by:
  `mouseMoved` in interface `MouseMotionListener`

### mouseExited

public void mouseExited(MouseEvent e)

Specified by:
  `mouseExited` in interface `MouseListener`